import 'package:auth_flutter/src/auth_api.dart' as pigeon;

import 'login_credential.dart';

class PhoneOtpCredential implements LoginCredential {
  final String phoneNumber;
  final String otp;

  PhoneOtpCredential(this.phoneNumber, this.otp);

  pigeon.PhoneOtpCredential toPigeonCredential() {
    return pigeon.PhoneOtpCredential(phoneNumber: phoneNumber, otp: otp);
  }
}
